Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.CertVerifyResult Class Reference

## Public Member Functions
| CertVerifyResult ()
| Constructor.
| CertVerifyResult (byte[] cert, boolean is_ca, boolean is_trusted, Response response, TimeRange response_effect_time_range, DateTime revoke_time, int cert_status, int reason, DateTime cert_check_time, boolean exist_signature_vri_creation_time, DateTime signature_vri_creation_time, boolean exist_response_signature_vri_creation_time, DateTime response_signature_vri_creation_time, int response_info_location)
| Constructor, with parameters. More...
| CertVerifyResult (CertVerifyResult other)
| Constructor, with another certificate verify result object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
byte[] | getCert ()
| Get a certificate contnet. More...
DateTime | getCert_check_time ()
| Get the actual time when this certificate is checked validity. More...
int | getCert_status ()
| Get certificate status. More...
boolean | getExist_response_signature_vri_creation_time ()
| Get indicate if creation time of response signature's VRI exists. More...
boolean | getExist_signature_vri_creation_time ()
| Get indicate if creation time of siganture's VRI exists. More...
boolean | getIs_ca ()
| Get indicate if the certificate is a CA certificate. More...
boolean | getIs_trusted ()
| Get indicate if the certificate is truscted by user. More...
int | getReason ()
| Get revocation reason of the certificate. More...
Response | getResponse ()
| Get a response for the certificate. More...
TimeRange | getResponse_effect_time_range ()
| Get the time range when the response takes effect. More...
int | getResponse_info_location ()
| Get response information (as revocation information) location where certificate response can be found. More...
DateTime | getResponse_signature_vri_creation_time ()
| Get creation time of response signature's VRI. More...
DateTime | getRevoke_time ()
| Get revoked time got from the response. More...
DateTime | getSignature_vri_creation_time ()
| Get creation time of a signature's VRI. More...
void | set (byte[] cert, boolean is_ca, boolean is_trusted, Response response, TimeRange response_effect_time_range, DateTime revoke_time, int cert_status, int reason, DateTime cert_check_time, boolean exist_signature_vri_creation_time, DateTime signature_vri_creation_time, boolean exist_response_signature_vri_creation_time, DateTime response_signature_vri_creation_time, int response_info_location)
| Set value. More...
void | setCert (byte[] value)
| Set a certificate contnet. More...
void | setCert_check_time (DateTime value)
| Set the actual time when this certificate is checked validity. More...
void | setCert_status (int value)
| Set certificate status. More...
void | setExist_response_signature_vri_creation_time (boolean value)
| Set indicate if creation time of response signature's VRI exists. More...
void | setExist_signature_vri_creation_time (boolean value)
| Set indicate if creation time of siganture's VRI exists. More...
void | setIs_ca (boolean value)
| Set indicate if the certificate is a CA certificate. More...
void | setIs_trusted (boolean value)
| Set indicate if the certificate is truscted by user. More...
void | setReason (int value)
| Set revocation reason of the certificate. More...
void | setResponse (Response value)
| Set a response for the certificate. More...
void | setResponse_effect_time_range (TimeRange value)
| Set the time range when the response takes effect. More...
void | setResponse_info_location (int value)
| Set response information (as revocation information) location where certificate response can be found. More...
void | setResponse_signature_vri_creation_time (DateTime value)
| Set creation time of response signature's VRI. More...
void | setRevoke_time (DateTime value)
| Set revoked time got from the response. More...
void | setSignature_vri_creation_time (DateTime value)
| Set creation time of a signature's VRI. More...

## Static Public Attributes
static final int | e_CertStatusExpired = 2
| This means certificate is expired.
static final int | e_CertStatusRevoked = 1
| This means certificate is revoked.
static final int | e_CertStatusUnknown = 3
| This means certificate status is unknown.
static final int | e_CertStatusValid = 0
| This means certificate is valid.
static final int | e_LocationDSS = 1
| Response information is found in DSS dictionary.
static final int | e_LocationNotSet = 0
| Location is not set.
static final int | e_LocationOnline = 3
| Response information is got by online request.
static final int | e_LocationSignature = 2
| Response information is found in signature content.
static final int | e_ReasonAACompromise = 9
| Revocatoin reason: AA compromise.
static final int | e_ReasonAffiliationChanged = 3
| Revocatoin reason: affiliation changed.
static final int | e_ReasonCACompromise = 2
| Revocatoin reason: CA compromise.
static final int | e_ReasonCertificateHold = 6
| Revocatoin reason: certificate hold.
static final int | e_ReasonCessationOfOperation = 5
| Revocatoin reason: cessation of operation.
static final int | e_ReasonKeyCompromise = 1
| Revocatoin reason: key compromise.
static final int | e_ReasonNoStatus = -1
| Revocatoin reason: ceritifcate has no status.
static final int | e_ReasonPrivilegeWithDrawn = 8
| Revocatoin reason: privilege with drawn.
static final int | e_ReasonRemoveFromCRL = 7
| Revocatoin reason: remove from CRL.
static final int | e_ReasonSuperseded = 4
| Revocatoin reason: superseded.
static final int | e_ReasonUnspecified = 0
| Revocatoin reason: unspecified reason.

## Detailed Description

This class represents the verify result for a certificate.

## Constructor & Destructor Documentation

## ◆ CertVerifyResult() [1/2]

com.foxit.sdk.pdf.CertVerifyResult.CertVerifyResult | ( | byte[] | cert,
|  | boolean | is_ca,
|  | boolean | is_trusted,
|  | Response | response,
|  | TimeRange | response_effect_time_range,
|  | DateTime | revoke_time,
|  | int | cert_status,
|  | int | reason,
|  | DateTime | cert_check_time,
|  | boolean | exist_signature_vri_creation_time,
|  | DateTime | signature_vri_creation_time,
|  | boolean | exist_response_signature_vri_creation_time,
|  | DateTime | response_signature_vri_creation_time,
|  | int | response_info_location
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_LocationNotSet and this should be one of these values.

## ◆ CertVerifyResult() [2/2]

com.foxit.sdk.pdf.CertVerifyResult.CertVerifyResult | ( | CertVerifyResult | other | ) |

Constructor, with another certificate verify result object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.CertVerifyResult.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCert()

com.foxit.sdk.pdf.CertVerifyResult.getCert | ( |  | ) |

Get a certificate contnet.

Returns
  A certificate contnet.

## ◆ getCert_check_time()

com.foxit.sdk.pdf.CertVerifyResult.getCert_check_time | ( |  | ) |

Get the actual time when this certificate is checked validity.

Returns
  The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.

## ◆ getCert_status()

com.foxit.sdk.pdf.CertVerifyResult.getCert_status | ( |  | ) |

Get certificate status.

Returns
  Certificate status. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_CertStatusValid and this should be one of these values.

## ◆ getExist_response_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.getExist_response_signature_vri_creation_time | ( |  | ) |

Get indicate if creation time of response signature's VRI exists.

Returns
  Indicate if creation time of response signature's VRI exists.

## ◆ getExist_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.getExist_signature_vri_creation_time | ( |  | ) |

Get indicate if creation time of siganture's VRI exists.

Returns
  Indicate if creation time of siganture's VRI exists.

## ◆ getIs_ca()

com.foxit.sdk.pdf.CertVerifyResult.getIs_ca | ( |  | ) |

Get indicate if the certificate is a CA certificate.

Returns
  Indicate if the certificate is a CA certificate.

## ◆ getIs_trusted()

com.foxit.sdk.pdf.CertVerifyResult.getIs_trusted | ( |  | ) |

Get indicate if the certificate is truscted by user.

Returns
  Indicate if the certificate is truscted by user.

## ◆ getReason()

com.foxit.sdk.pdf.CertVerifyResult.getReason | ( |  | ) |

Get revocation reason of the certificate.

Returns
  Revocation reason of the certificate. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.

## ◆ getResponse()

com.foxit.sdk.pdf.CertVerifyResult.getResponse | ( |  | ) |

Get a response for the certificate.

Returns
  A response for the certificate.

## ◆ getResponse_effect_time_range()

com.foxit.sdk.pdf.CertVerifyResult.getResponse_effect_time_range | ( |  | ) |

Get the time range when the response takes effect.

Returns
  The time range when the response takes effect.

## ◆ getResponse_info_location()

com.foxit.sdk.pdf.CertVerifyResult.getResponse_info_location | ( |  | ) |

Get response information (as revocation information) location where certificate response can be found.

Returns
  Response information (as revocation information) location where certificate response can be found. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_LocationNotSet and this should be one of these values.

## ◆ getResponse_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.getResponse_signature_vri_creation_time | ( |  | ) |

Get creation time of response signature's VRI.

Returns
  Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## ◆ getRevoke_time()

com.foxit.sdk.pdf.CertVerifyResult.getRevoke_time | ( |  | ) |

Get revoked time got from the response.

Returns
  Revoked time got from the response.

## ◆ getSignature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.getSignature_vri_creation_time | ( |  | ) |

Get creation time of a signature's VRI.

Returns
  Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## ◆ set()

void com.foxit.sdk.pdf.CertVerifyResult.set | ( | byte[] | cert,
|  | boolean | is_ca,
|  | boolean | is_trusted,
|  | Response | response,
|  | TimeRange | response_effect_time_range,
|  | DateTime | revoke_time,
|  | int | cert_status,
|  | int | reason,
|  | DateTime | cert_check_time,
|  | boolean | exist_signature_vri_creation_time,
|  | DateTime | signature_vri_creation_time,
|  | boolean | exist_response_signature_vri_creation_time,
|  | DateTime | response_signature_vri_creation_time,
|  | int | response_info_location
| ) |  |

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_LocationNotSet and this should be one of these values.

Returns
  None.

## ◆ setCert()

com.foxit.sdk.pdf.CertVerifyResult.setCert | ( | byte[] | value | ) |

Set a certificate contnet.

Parameters

  [in] | value | A certificate contnet.

Returns
  None.

## ◆ setCert_check_time()

com.foxit.sdk.pdf.CertVerifyResult.setCert_check_time | ( | DateTime | value | ) |

Set the actual time when this certificate is checked validity.

Parameters

  [in] | value | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.

Returns
  None.

## ◆ setCert_status()

com.foxit.sdk.pdf.CertVerifyResult.setCert_status | ( | int | value | ) |

Set certificate status.

Parameters

  [in] | value | Certificate status. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_CertStatusValid and this should be one of these values.

Returns
  None.

## ◆ setExist_response_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.setExist_response_signature_vri_creation_time | ( | boolean | value | ) |

Set indicate if creation time of response signature's VRI exists.

Parameters

  [in] | value | Indicate if creation time of response signature's VRI exists.

Returns
  None.

## ◆ setExist_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.setExist_signature_vri_creation_time | ( | boolean | value | ) |

Set indicate if creation time of siganture's VRI exists.

Parameters

  [in] | value | Indicate if creation time of siganture's VRI exists.

Returns
  None.

## ◆ setIs_ca()

com.foxit.sdk.pdf.CertVerifyResult.setIs_ca | ( | boolean | value | ) |

Set indicate if the certificate is a CA certificate.

Parameters

  [in] | value | Indicate if the certificate is a CA certificate.

Returns
  None.

## ◆ setIs_trusted()

com.foxit.sdk.pdf.CertVerifyResult.setIs_trusted | ( | boolean | value | ) |

Set indicate if the certificate is truscted by user.

Parameters

  [in] | value | Indicate if the certificate is truscted by user.

Returns
  None.

## ◆ setReason()

com.foxit.sdk.pdf.CertVerifyResult.setReason | ( | int | value | ) |

Set revocation reason of the certificate.

Parameters

  [in] | value | Revocation reason of the certificate. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.

Returns
  None.

## ◆ setResponse()

com.foxit.sdk.pdf.CertVerifyResult.setResponse | ( | Response | value | ) |

Set a response for the certificate.

Parameters

  [in] | value | A response for the certificate.

Returns
  None.

## ◆ setResponse_effect_time_range()

com.foxit.sdk.pdf.CertVerifyResult.setResponse_effect_time_range | ( | TimeRange | value | ) |

Set the time range when the response takes effect.

Parameters

  [in] | value | The time range when the response takes effect.

Returns
  None.

## ◆ setResponse_info_location()

com.foxit.sdk.pdf.CertVerifyResult.setResponse_info_location | ( | int | value | ) |

Set response information (as revocation information) location where certificate response can be found.

Parameters

  [in] | value | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from com.foxit.sdk.pdf.CertVerifyResult.e_LocationNotSet and this should be one of these values.

Returns
  None.

## ◆ setResponse_signature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.setResponse_signature_vri_creation_time | ( | DateTime | value | ) |

Set creation time of response signature's VRI.

Parameters

  [in] | value | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

Returns
  None.

## ◆ setRevoke_time()

com.foxit.sdk.pdf.CertVerifyResult.setRevoke_time | ( | DateTime | value | ) |

Set revoked time got from the response.

Parameters

  [in] | value | Revoked time got from the response.

Returns
  None.

## ◆ setSignature_vri_creation_time()

com.foxit.sdk.pdf.CertVerifyResult.setSignature_vri_creation_time | ( | DateTime | value | ) |

Set creation time of a signature's VRI.

Parameters

  [in] | value | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

Returns
  None.